Skip to main content

Essentia API

The complete music analysis toolkit for developers. Access a wide collection of state-of-the-art music audio analysis algorithms.

What is Essentia API?

With Essentia API, you can easily integrate music audio analysis into your software applications. It provides access to an extensive collection of AI and DSP-powered algorithms developed at the Music Technology Group (MTG), UPF, Barcelona, a world-renowned research institution in music informatics.

The API is based on the Essentia project, an open-source library and collection of AI models for audio and music analysis with extensive industrial use.

Extensive Algorithms

Explore a massive collection of descriptors for key, tempo, loudness, genre, mood, instrumentation, and much more.

See all algorithms →

Batch Processing

Submit analysis jobs for large audio files and run complex pipelines with multiple feature extractions asynchronously.

Learn about jobs →

Rich, Structured Results

Get your analysis results in a clean, easy-to-parse JSON format, ready for integration into any application.

Understand the output →

Get Started in Minutes

Jump right in by submitting your first analysis job. All you need is an local audio file or URL and your API key.

  1. Upload your audio file to platform
curl -X POST "https://api.essentia.upf.edu/v1/audio" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "audio_url=https://cdn.freesound.org/previews/806/806702_5287430-lq.mp3"

This will return an unique asset_id for your audio file which you can use to do any subsequent analysis jobs, metadata updates etc.

  1. Submit an analysis job for your uploaded asset
curl -X POST "https://api.essentia.upf.edu/v1/analysis/job" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"asset_id": "<asset-id-from-step-1>",
"models": ["genre_discogs_400", "engagement", "approachability", "timbre"]
}'
Get your free API Key

Sign up for a user account at platform.essentia.upf.edu to get your API key and manage your credits.


API Infrastructure & Maintenance

The API and platform are maintained by @albincorreya, @palonso, and @dbogdanov.

Hosting & Infrastructure Our public beta services are currently hosted on the Kubernetes cluster maintained by Universitat Pompeu Fabra, Barcelona.

Support & Enterprise For questions related to scalability, security, enterprise requirements, or custom use cases, please contact us.